<?
error_reporting(E_ALL);

/**
 * Скрипт, отображающий проекты аккаунта и их статистику в системе Topvisor ( https://topvisor.com/ )
 *
 * По всем вопросам обращайтесь на support@site-analyzer.ru - https://site-analyzer.ru/
 *
 * @version 1.2.0.7 от 10.10.2019
 */

header("Content-Type: text/html; charset=utf-8");

$userId = ''; // user id
$accessToken = ''; // API Key
$folder = '/_folder_/';
$company = 'Ваша компания'; // название аккаунта

function getURIContent($url, $headers, $params){
	$tuCurl = curl_init();
	$tuData = '';

	if($tuCurl && is_resource($tuCurl)){
			$opts					= array(
				CURLOPT_URL             => $url,
				CURLOPT_POST	        => 1,
				CURLOPT_POSTFIELDS =>	$params,			
				//CURLOPT_HTTPGET         => 1,
				CURLOPT_HEADER          => 0,
				CURLOPT_HTTPHEADER      => $headers,
				CURLOPT_RETURNTRANSFER  => 1,
				CURLOPT_FOLLOWLOCATION  => 0,
				CURLOPT_BINARYTRANSFER  => 0,
				CURLOPT_AUTOREFERER     => 1,
				CURLOPT_CONNECTTIMEOUT  => 30,
				//CURLOPT_USERAGENT       => 'Topvisor_API',
				CURLOPT_REFERER         => $url,
				CURLOPT_VERBOSE			=> 1,
			);

		curl_setopt_array($tuCurl, $opts);
		$tuData = curl_exec($tuCurl);
		curl_close($tuCurl);
	}

	return $tuData;
}

$headers = array("Content-Type: application/json; charset=utf-8", "Authorization: Bearer $accessToken", "User-Id: $userId");

// запрос баланса
$params = '{"fields":["balance_all","tariff"],"limit":10}';
$request_bal = getURIContent('https://api.topvisor.com/v2/json/get/bank_2/info/', $headers, $params);

// получить список проектов
$params = '{"fields":["id","name"],"show_searchers_and_regions":1,"limit":20}';
$request_proj = getURIContent('https://api.topvisor.com/v2/json/get/projects_2/projects/', $headers, $params);

$request = '';
$show_flash = 1;
if((isset($_POST['show_rep'])))
{
	$project_id = $_POST['project_id'] * 1;
	$se = $_POST['searchengine'] * 1;
	$dt1 = $_POST['event_date'];
	$dt2 = $_POST['event_date_end'];
	
	$datediff = strtotime($dt2) - strtotime($dt1);
	$datediff = floor($datediff / (60 * 60 * 24)) + 1; // 30 + 1
	// echo $datediff.'<br>';
	if($datediff > 30)
	{
		// $datediff = strtotime($dt2) - strtotime());
		$dt1 = date('Y-m-d', strtotime('-29 days'));
		// echo $dt1;
	}
	
	if(isset($_POST['flash_zap']))
		$show_flash = 1;

	// получить список ключевых фраз
	$params = '{"project_id":"'.$project_id.'","fields":["id","name"],"limit":10}';
	$request_keyw = getURIContent('https://api.topvisor.com/v2/json/get/keywords_2/keywords/', $headers, $params);
	$req_keyw = htmlspecialchars_decode($request_keyw);
	$pos_arr_keyw = json_decode($req_keyw, true);
	$kcount = $pos_arr_keyw['total'];

	// получить список конкурентов
	$params = '{"project_id":"'.$project_id.'","limit":20,"include_project":1}';
	$request_comp = getURIContent('https://api.topvisor.com/v2/json/get/projects_2/competitors/', $headers, $params);
	$req_comp = htmlspecialchars_decode($request_comp);
	$pos_arr_comp = json_decode($req_comp, true);
	
	// история позиций - https://topvisor.com/ru/api/v2-services/positions_2/get-history/
	$params = '{"project_id":"'.$project_id.'", "regions_indexes":["'.$se.'"], "date1":"'.$dt1.'", "date2":"'.$dt2.'", "show_headers":1}';
	$request = getURIContent('https://api.topvisor.com/v2/json/get/positions_2/history/', $headers, $params);
}
?>
<!DOCTYPE html>
<html lang="ru">
<head>
<title><?=$company?> - Отчеты</title>
<meta name="description" content="<?=$company?> - Отчеты.">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="/favicon.ico" rel="shortcut icon">
<link rel="stylesheet" type="text/css" href="<?=$folder?>page.css" media="all" />
<!--link rel="stylesheet" type="text/css" href="<?=$folder?>calendar/calendar.css"-->
<!--script type="text/javascript" src="<?=$folder?>calendar/ardzo_calendar.js"></script-->
<meta name="robots" content="noindex, nofollow"/>
</head>

<body>
<div style="padding: 15px">
	<h1>&quot;<?=$company?>&quot; &ndash; Отчеты</h1>
<?
	$req_bal = htmlspecialchars_decode($request_bal);
	$pos_arr_bal = json_decode($req_bal, true);
	// print_r($pos_arr_bal);
?>
	<h2>Баланс: <?=number_format(round($pos_arr_bal['result']['balance_all'],0), 0, ',', ' ')?> руб. (тариф: <?=$pos_arr_bal['result']['tariff']['name']?>)</h2>

	<form method="POST">
		<table width="100%" border="0" cellpadding="2" cellspacing="2">
              <tr>
                <td width="50" valign="middle">&nbsp;</td>
                <td width="350" valign="middle">&nbsp;</td>
              </tr>
              <tr>
                <td valign="middle"><div align="right">Проект&nbsp;</div></td>
                <td width="350" valign="middle" class="menu"><select name="project_id">
<?
	function cmp_function($a, $b){
    	return ($a['name'] > $b['name']);
	}

	$req_proj = htmlspecialchars_decode($request_proj);
	$pos_arr_proj = json_decode($req_proj, true);
	uasort($pos_arr_proj['result'], 'cmp_function');

	foreach($pos_arr_proj['result'] as $k => $v)
	{
		if($v['id'] == $project_id)
			echo '					<option selected="selected" value="'.$v['id'].'">'.$v['name'].'</option>'."\r\n";
		else
			echo '					<option value="'.$v['id'].'">'.$v['name'].'</option>'."\r\n";
	}
	
	if((isset($_POST['event_date'])))
		$date_start = $dt1;
	else
		// $date_start = date("Y-m-d", strtotime('-1 month'));
		$date_start = date('Y-m-d', strtotime('-29 days'));

	if((isset($_POST['event_date_end'])))
		$date_end = $dt2;
	else
		// $date_end = date("Y-m-d", strtotime("last day of previous month"));
		$date_end = date("Y-m-d");
?>
					</select></td>
              </tr>
              <tr>
                <td valign="middle"><div align="right">Поисковая система&nbsp;</div></td>
                <td width="350" valign="middle" class="menu"><select name="searchengine">
<?
if(!isset($_POST['show_rep']))
{
?>
					<option selected="selected" value="1">Yandex (ПК)</option>
					<option value="33">Yandex (Смартфон)</option>
					<option value="2">Google (ПК)</option>
					<option value="30">Google (Смартфон)</option>
<?
}
else
{
	foreach($pos_arr_proj['result'] as $k => $v)
	{
		if($v['id'] == $project_id)
		{
			// print_r($v);			
			
			foreach($v['searchers'] as $k1 => $v1)
			{
				$sm = ' (ПК)';
				foreach($v1['regions'] as $k2 => $v2)
				{
					if($v2['index'] == 30 || $v2['index'] == 33)
						$sm = ' (Смартфон)';
					
					if($v2['index'] == $se)
						echo '					<option selected="selected" value="'.$v2['index'].'">'.$v1['name'].$sm.'</option>'."\r\n";
					else
						echo '					<option value="'.$v2['index'].'">'.$v1['name'].$sm.'</option>'."\r\n";
				}
			}
		}
	}
}
?>
					</select>
				</td>
              </tr>
              <tr>
                <td valign="middle"><div align="right">Начальная дата&nbsp;</div></td>
                <td width="350" valign="middle" class="menu"><input name="event_date" id="field_date1" onClick="ArdzoCalendar.open('field_date1','en')" type="text" value="<?=$date_start?>" size="12" class="subscribe" style="text-align:center" /></td>
              </tr>
              <tr>
                <td valign="middle"><div align="right">Конечная дата&nbsp;</div></td>
                <td width="350" valign="middle" class="menu"><input name="event_date_end" id="field_date2" onClick="ArdzoCalendar.open('field_date2','en')" type="text" value="<?=$date_end?>" size="12" class="subscribe" style="text-align:center" /></td>
              </tr>
              <tr>
                <td valign="middle"><div align="right">&nbsp;</div></td>
                <td width="350" valign="middle" class="menu"><input type="checkbox" name="flash_zap" <?=($show_flash == 1) ? ' checked="checked"' : ''?> />&nbsp;<span>Подсветка запросов в ТОП-10</span></td>
              </tr>
              <tr>
                <td valign="middle">&nbsp;</td>
                <td width="350" valign="middle">&nbsp;</td>
              </tr>
              <tr>
                <td valign="middle">&nbsp;</td>
                <td width="350" valign="middle" class="menu"><input type="submit" name="show_rep" value="Показать отчет" class="purchase" /></td>
                </tr>
		</table>
	</form>

<?
if($request != '')
{
	$req = htmlspecialchars_decode($request);
	$pos_arr = json_decode($req, true);

	// print_r($pos_arr['result']['keywords'][0]);
?>
<h2 style="margin-top: 24px"><?=$pos_arr['result']['headers']['projects'][0]['name'].': '.$pos_arr['result']['headers']['projects'][0]['searchers'][0]['name'].' ('.$pos_arr['result']['headers']['projects'][0]['searchers'][0]['regions'][0]['device_name'].') &ndash; '.$kcount?></h2>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tbl">
  <tr>
    <td class="td_header" style="text-align:center">#</td>
    <td class="td_header" style="text-align:center">Запросы / Дата</td>
<?
	$dt_cnt = count($pos_arr['result']['headers']['dates']);

	$top_10 = array();
	$rep_mid = 0;
	$rep_mid_new = 0;

	$dt = $pos_arr['result']['headers']['dates'];
	sort($dt);
	foreach($dt as $k => $v)
	{
		$d = explode('-', $v);		
		echo '    <td class="td_header" title="Дата: '.date("d.m.Y", strtotime($v)).' ('.($k+1).')"><div style="text-align: center">'.$d[2].'</div></td>'."\r\n";
		
		$top_10[$v] = 0;
	}
?>
    <td class="td_header" style="text-align:center">Среднее</td>
  </tr>
<?
	$i = 0;

	foreach($pos_arr['result']['keywords'] as $k => $v)
	{
		if($i%2 == 0)
			$cellcl = "td_cell";
		else
			$cellcl = "td_cell2";
 
		$i++;

		echo '  <tr>'."\r\n";
		echo '    <td class="'.$cellcl.'" width="20">'.($k+1).'</td>'."\r\n";
		echo '    <td class="'.$cellcl.'">'.$v['name'].'</td>'."\r\n";
				
		$delta = 0;
		$zn_cn = 0;
		foreach($v['positionsData'] as $k1 => $v1)
		{
			if($v1['position'] == '--')
				$v1['position'] = '-';
			else
				$zn_cn++;
			if($v1['position'] > 0 && $v1['position'] <= 10 && $show_flash == 1)
				echo '    <td class="td_cell2_ok_sel"><div style="text-align: center" title="'.$k1.'">'.$v1['position'].'</div></td>'."\r\n";
			else
				echo '    <td class="'.$cellcl.'"><div style="text-align: center" title="'.$k1.'">'.$v1['position'].'</div></td>'."\r\n";
				
			$delta = $delta + $v1['position'];
			
			$q = explode(':', $k1);
			
			if($v1['position'] > 0 && $v1['position'] <= 10)
			{
				$top_10[$q[0]] = $top_10[$q[0]] + 1;
			}
		}				
		$t = @round($delta / $zn_cn, 0);
		if($t == 0)
			echo '    <td class="'.$cellcl.'"><div style="text-align: center">-</div></td>'."\r\n";
		else
		{
			if($t > 0 && $t <= 10 && $show_flash == 1)
				echo '    <td class="td_cell2_ok_sel"><div style="text-align: center">'.$t.'</div></td>'."\r\n";
			else
				echo '    <td class="'.$cellcl.'"><div style="text-align: center">'.$t.'</div></td>'."\r\n";
		}
		
		if($t > 0 && $t <= 10)
			$rep_mid = $rep_mid + 1;
		
		echo '  </tr>'."\r\n";
	}

	echo '  <tr>'."\r\n";
	echo '    <td class="td_header" width="20">&nbsp;</td>'."\r\n";
	echo '    <td class="td_header"><div style="text-align: center; font-weight: bold">Запросы в ТОП-10</div></td>'."\r\n";
	foreach($top_10 as $m => $n)
	{
		if($n > 0 && $n <= 10)
			$rep_mid_new = $rep_mid_new + $n;

		echo '    <td class="td_header"><div style="text-align: center; font-weight: bold">'.$n.'</div></td>'."\r\n";
	}
	// echo '    <td class="td_header"><div style="text-align: center; font-weight: bold">'.$rep_mid.' &uarr;</div></td>'."\r\n";
	$rep_mid_new = round($rep_mid_new / $dt_cnt, 0);
	echo '    <td class="td_header"><div style="text-align: center; font-weight: bold">&larr; '.$rep_mid_new.' / '.$rep_mid.' &uarr;</div></td>'."\r\n";
	echo '  </tr>'."\r\n";
?>
</table>

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script type="text/javascript" src="<?=$folder?>js/selecter/jquery.fs.selecter.min.js"></script>
<script type="text/javascript" src="<?=$folder?>js/jquery.doubleScroll.js"></script>

<script type="text/javascript" src="<?=$folder?>jplot/jquery.jqplot.min.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.cursor.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.highlighter.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.dateAxisRenderer.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.logAxisRenderer.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.canvasTextRenderer.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.canvasAxisTickRenderer.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.canvasAxisLabelRenderer.js"></script>

<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.barRenderer.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.pieRenderer.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.categoryAxisRenderer.js"></script>
<script type="text/javascript" src="<?=$folder?>jplot/plugins/jqplot.pointLabels.js"></script>

<link rel="stylesheet" type="text/css" href="<?=$folder?>jplot/jquery.jqplot.css">

<?
	$report = array();
	foreach($top_10 as $k => $v)
	{
		$report[] = "['".$k."', ".$v."]";
	}
	$count_dt = implode(',', $report);

?>
<div id="pos_chart" style="margin-left: 20px; margin-top: 25px; width:100%; height:350px;"></div>

<script type="text/javascript">
$(document).ready(function(){

  $.jqplot.config.enablePlugins = true;

  var pdata = [<?=$count_dt?>];
  var plot1 = $.jqplot('pos_chart', [pdata], {
    title: 'Дата',
	axesDefaults:{
        // showTicks: false, // подсказки
        shadow: false // тень
	},
	axes:{
        xaxis:{
            renderer: $.jqplot.DateAxisRenderer,
			// pad: 0,
			numberTicks: 10,
			// tickInterval: '1 months',
			// min: '2007-02-02', // иначе справа имеем небольшой отступ
            tickRenderer: $.jqplot.CanvasAxisTickRenderer,
            tickOptions: {
                    formatString: '%d.%m.%Y',
					fontSize: '8pt',
                    fontFamily: 'Tahoma',
                    angle: -30,
					showLabel: true
                }
        },
        yaxis:{
			//pad: 0,
			label: 'Позиции в ТОП-10',
			labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
			min: 0,
			numberTicks: 5,
                rendererOptions: {
                    tickRenderer:$.jqplot.CanvasAxisTickRenderer},
                    tickOptions: {
                        fontSize: '6pt',
                        fontFamily: 'Tahoma',
                        angle: 0
                    }
        }
    },
   cursor:{
            show: true,
            zoom: true,
			tooltipLocation: 'sw',
			style: 'pointer'
        }, 
   grid: {
        drawGridLines: false,        // wether to draw lines across the grid or not.
        gridLineColor: '#F1F1F1',    // *Color of the grid lines.
        background: '#fffdf6',      // CSS color spec for background color of grid.
        borderColor: '#000000',     // CSS color spec for border around grid.
        borderWidth: 0.3,           // pixel width of border around grid.
        shadow: false,               // draw a shadow for grid.
        shadowAngle: 45,            // angle of the shadow.  Clockwise from x axis.
        shadowOffset: 1.5,          // offset from the line of the shadow.
        shadowWidth: 3,             // width of the stroke for the shadow.
        shadowDepth: 3             // Number of strokes to make when drawing shadow.
    },
    highlighter: {
        show: true,
        sizeAdjust: 7.5,
		yvalues: 4,
		formatString:'<table style="background-color: #cccccc"> \
      <tr><td align="right">Дата:</td><td align="left">%s</td></tr> \
      <tr><td align="right">Позиция:</td><td align="left">%s</td></tr></table>'
    },	
    series:[{
	    lineWidth: 1,
        showMarker: false, // квадраты на углах
        shadow: false, // тень
		// markerOptions: {style:'circle'}
		markerOptions: {style:'square'}
		}]
  });
});
</script>

<h2 style="margin-top: 24px">Статистика по конкурентам</h2>

<?
//echo '<pre>';
//print_r($pos_arr_comp);
//echo '</pre>';
?>

<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tbl">
  <tr>
    <td class="td_header" style="text-align:center">#</td>
    <td class="td_header" style="text-align:center">Запросы / Конкуренты</td>
<?
	$dt_cnt = count($pos_arr['result']['headers']['dates']);
	$concur = array();
	$top_10_con = array();
	$rep_con = array();
	$keyw_pos_konkur = array();	

	$dt = $pos_arr_comp['result'];
	foreach($dt as $k => $v)
	{
		echo '    <td class="td_header" title="ID: '.$v['id'].'"><div style="text-align: center">'.$v['site'].'</div></td>'."\r\n";
		$concur[] = '"'.$v['id'].'"';
		$keyw_pos_konkur[$v['id']] = 0;
		$top_10_con[$v['id']] = 0;
		$rep_con[$v['id']] = array($v['site'], 0);
	}
?>
  </tr>
<?
	$cid = '['.implode(",", $concur).']';
		
	$params_c = '{
 "project_id":"'.$project_id.'",
 "limit":'.$kcount.',
 "regions_indexes":["'.$se.'"],
 "date1":"'.$dt1.'",
 "date2":"'.$dt2.'",
 "show_headers":1,
 "competitors_ids":'.$cid.'
}';

	$request_c = getURIContent('https://api.topvisor.com/v2/json/get/positions_2/history/', $headers, $params_c);
	$req_c = htmlspecialchars_decode($request_c);
	$pos_arr_c = json_decode($req_c, true);
		
	$i = 0;
	foreach($pos_arr_c['result']['keywords'] as $k_c => $v_c)
	{
		if($i%2 == 0)
			$cellcl = "td_cell";
		else
			$cellcl = "td_cell2";
 
		$i++;

		echo '  <tr>'."\r\n";
		echo '    <td class="'.$cellcl.'" width="20">'.($k_c+1).'</td>'."\r\n";
		echo '    <td class="'.$cellcl.'">'.$v_c['name'].'</td>'."\r\n";

		$konid = $keyw_pos_konkur[0];
		$zn_cn = 0;
		foreach($v_c['positionsData'] as $k1 => $v1)
		{
			$pid = explode(':', $k1);
			
			if($konid != $pid[1])
			{
				$konid = $pid[1];
				$keyw_pos_konkur[$konid] = 0;

				$x = $keyw_pos_konkur[$konid];
				if($v1['position'] == '--')
					$v1['position'] = '-';
				else
					$zn_cn++;
				$d = $x + $v1['position'];
				$keyw_pos_konkur[$konid] = $d;
			}
			else
			{
				$x = $keyw_pos_konkur[$konid];
				if($v1['position'] == '--')
					$v1['position'] = '-';
				else
					$zn_cn++;
				$d = $x + $v1['position'];
				$keyw_pos_konkur[$konid] = $d;
			}
		}
			
		foreach($keyw_pos_konkur as $m => $n)
		{
			$nn = @round($n / $zn_cn, 0);
			if($nn == 0)
				$nn = '-';
			if($nn > 0 && $nn <= 10 && $show_flash == 1)
				echo '    <td class="td_cell2_ok_sel"><div style="text-align: center">'.$nn.'</div></td>'."\r\n";
			else
				echo '    <td class="'.$cellcl.'"><div style="text-align: center">'.$nn.'</div></td>'."\r\n";
			
			if($nn > 0 && $nn <= 10)
				$top_10_con[$m] = $top_10_con[$m] + 1;
		}
			
		echo '  </tr>'."\r\n";
	}
	
	echo '  <tr>'."\r\n";
	echo '    <td class="td_header" width="20">&nbsp;</td>'."\r\n";
	echo '    <td class="td_header"><div style="text-align: center; font-weight: bold">Запросы в ТОП-10</div></td>'."\r\n";
	foreach($top_10_con as $m => $n)
	{
		echo '    <td class="td_header"><div style="text-align: center; font-weight: bold">'.$n.'</div></td>'."\r\n";
		$rep_con[$m][1] = $n;
	}
	echo '  </tr>'."\r\n";
?>
</table>

<h2 style="margin-top: 24px">График ТОП-10 по конкурентам</h2>
<?
	// $report_concurents = "['Nissan', 4],['Porche', 6],['Acura', 2],['Aston Martin', 5],['Rolls Royce', 6]";
	
	$report_concurents = array();
	foreach($rep_con as $k => $v)
	{
		$report_concurents[] = "['".$v[0]."', ".$v[1]."]";
	}
	$rc = implode(',', $report_concurents);
?>
<div id="concur_chart" style="margin-left: 20px; margin-top: 25px; width:850px; height:350px;"></div>
<script type="text/javascript">
$(document).ready(function(){

	$.jqplot.config.enablePlugins = true;
	var line1 = [<?=$rc?>];

	plot1 = $.jqplot('concur_chart', [line1], {
		// Only animate if we're not using excanvas (not in IE 7 or IE 8)..
		animate: !$.jqplot.use_excanvas,
		seriesDefaults: {
			renderer: $.jqplot.BarRenderer,
			rendererOptions: {
				varyBarColor: true
			},
			pointLabels: { show: true }
		},
		axes: {
			xaxis: {
				renderer: $.jqplot.CategoryAxisRenderer,
				}
			},
			highlighter: { show: false }
	});
	
	if (!$.jqplot.use_excanvas) {
		var outerDiv = $(document.createElement('div'));
		var header = $(document.createElement('div'));
		var div = $(document.createElement('div'));

		outerDiv.append(header);
		outerDiv.append(div);

		outerDiv.addClass('jqplot-image-container');
		header.addClass('jqplot-image-container-header');
		div.addClass('jqplot-image-container-content');

		header.html('<br>Right Click to Save Image As...');

		var close = $(document.createElement('a'));
		close.addClass('jqplot-image-container-close');
		close.html('Close');
		close.attr('href', '#');
		close.click(function() {
			 $(this).parents('div.jqplot-image-container').hide(500);
		})
		header.append(close);

		$('#concur_chart').after(outerDiv);
		outerDiv.hide();

		outerDiv = header = div = close = null;

		var btn = $(document.createElement('button'));
		btn.text('Показать изображение...');
		btn.addClass('jqplot-image-button');
		btn.bind('click', {chart: $('#concur_chart')}, function(evt) {
			var imgelem = evt.data.chart.jqplotToImageElem();
			var div = $(this).nextAll('div.jqplot-image-container').first();
			div.children('div.jqplot-image-container-content').empty();
			div.children('div.jqplot-image-container-content').append(imgelem);
			div.show(500);
			div = null;
		});

		$('#concur_chart').after(btn);
		$('#concur_chart').after('<br />');
		btn.after('<br />');
		btn = null;
	}
});
</script>
<?
}
?>
</div>

</body>
</html>